post
https://api.toktus.com/api/v1/webhooks/stripe/
Recebe notificações automáticas do Stripe.
URL para configurar no painel Stripe:
{sua_url}/api/v1/webhooks/stripe/{webhook_token}
Configuração no painel Stripe:
- Acesse Developers → Webhooks
- Clique em Add endpoint
- Informe a URL acima (substitua
{webhook_token}pelo token retornado na criação da sua conta) - Selecione os eventos desejados (ex:
payment_intent.succeeded,charge.refunded) - Copie o Signing secret (
whsec_...) e salve nas credenciais:POST /api/v1/credentials { "gateway": "stripe", "credentials": { "secretKey": "sk_...", "webhookSecret": "whsec_..." } }
Validação: HMAC-SHA256 via header stripe-signature (com proteção anti-replay de 5 min).
Validação de assinatura: se o campo
webhookSecretestiver nas suas credenciais cadastradas
(POST /api/v1/credentials), a assinatura do webhook será verificada automaticamente.
Se não estiver configurado, o webhook será aceito sem validação (com warning no log).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…